Loading...
Searching...
No Matches
Magick::DrawablePath Class Reference
Inheritance diagram for Magick::DrawablePath:

## Public Member Functions

| DrawablePath (const VPathList &path_)
| DrawablePath (const DrawablePath &original_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const

## Private Attributes

VPathList | _path

## Detailed Description

Definition at line 1184 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawablePath() [1/2]

Magick::DrawablePath::DrawablePath | ( | const VPathList & | path_ | ) |

Definition at line 866 of file Drawable.cpp.

: _path(path_)
{
}

## DrawablePath() [2/2]

Magick::DrawablePath::DrawablePath | ( | const DrawablePath & | original_ | ) |

Definition at line 870 of file Drawable.cpp.

: DrawableBase (original_),
_path(original_._path)
{
}

## ~DrawablePath()

Magick::DrawablePath::~DrawablePath | ( | void |  | ) |

Definition at line 875 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawablePath::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 888 of file Drawable.cpp.

{
return new DrawablePath(*this);
}

## operator()()

void Magick::DrawablePath::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 878 of file Drawable.cpp.

{
DrawPathStart( context_ );
for( VPathList::const_iterator p = _path.begin();
p != _path.end(); p++ )
p->operator()( context_ ); // FIXME, how to quit loop on error?
DrawPathFinish( context_ );
}

## Field Documentation

## _path

VPathList Magick::DrawablePath::_path

private

Definition at line 1200 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp